3130 & 3129 Find All Possible Stable Binary Arrays II | DP | Prefix Sums | Sliding Window

In this video, I'll talk about how to solve Leetcode 3130. Find All Possible Stable Binary Arrays II | 3129. Find All Possible Stable Binary Arrays I | DP | Prefix Sums
Let's Connect:
📱Discord (Join Community) : / discord
📝Linkedin: / aryan-mittal-0077
📸 Instagram: / ez.pz.dsa
💻 Twitter - / aryan_mittal007
🤖 Github: github.com/aryan-0077
About Me:
I am Aryan Mittal - A Software Engineer in Goldman Sachs, Speaker, Creator & Educator. During my free time, I create programming education content on this channel & also how to use that to grow :)
✨ Hashtags ✨
#programming #Interviews #leetcode #faang #maang #datastructures #algorithms

Пікірлер: 26

  • @salmankhader1258
    @salmankhader12582 ай бұрын

    58 mins is worthy to watch it.

  • @nikhiljain8303
    @nikhiljain83032 ай бұрын

    The video for which we were waiting. Thanks @aryan

  • @ARYANMITTAL
    @ARYANMITTAL2 ай бұрын

    If we have any doubts on dp problem on Intuition or understanding, do watch this playlist for practice - kzread.info/head/PLEL7R4Pm6EmCXe8803IBAPWVsHlTVrtOp . . How all Educators are lying to you - kzread.info/dash/bejne/gnulsaylppO8lbw.html

  • @JRK_RIDES

    @JRK_RIDES

    2 ай бұрын

    Pin this comment

  • @user-cd7lf8nk4c
    @user-cd7lf8nk4c2 ай бұрын

    the optimization from o(n^3) to O(n^2) was difficult to understand

  • @Manjeet-zz1wi
    @Manjeet-zz1wi2 ай бұрын

    Great video sir . It's really awesome to see alumni sharing their expertise.

  • @killeraloo3247
    @killeraloo32472 ай бұрын

    sab samjh aa gya, accha solution tha.

  • @sukhpreetsingh5200
    @sukhpreetsingh52002 ай бұрын

    bhai awesome explaination

  • @nikhilprakash729
    @nikhilprakash7292 ай бұрын

    great explanation

  • @mayankkharb4164
    @mayankkharb41642 ай бұрын

    @ARYANMITTAL great video brother. Just a single doubt, in this we are using the prefix concept some people have used a different prefix space to store the prefixes but you made the specific dp state itself as the prefix value by adding it's previous state into it, but when giving the final answer you are returning the dp state itself which is a prefix of dp states till that point, shouldn't you subtract the previous state from it so it isn't the prefix state anymore and then return it? Also, i am saying convert it into prefix because in the non-optimal tabulation method you are only adding the alternate 0 or 1 state to add into current state but in the optimal one at the start only you are adding the same 0 or 1 previous state into it which makes it the prefix state till then.

  • @sushanthgupta626
    @sushanthgupta6262 ай бұрын

    How can this question be done in 1 hr 😶😶😶.... HOw to get intution... then optimize... then solve to in just 1hr.. how??

  • @242deepak
    @242deepak2 ай бұрын

    I am not an english expert but improvisation means making something on the spot and improvement means to improve something. Both are not the same.

  • @gaurish3367
    @gaurish3367Ай бұрын

    amazing video

  • @coder6109
    @coder61092 ай бұрын

    dont ever stop bro

  • @helloimjavauser
    @helloimjavauser2 ай бұрын

    On which writing pad do you write?

  • @Krishna-ti8ys
    @Krishna-ti8ys2 ай бұрын

    Hi @ARYANMITTAL thanks for the solution, I am facing an issue that when i make dp of type dp[zero][one][consecutiveEl][cnt], my solution gets sumitted but when i use dp of type dp[zero][one][cnt][consecutiveEl] it gives tle. Is this some kind of glitch of leetcode as the time complexity of both the type is same. I am very confused.

  • @akashkaruturi5128

    @akashkaruturi5128

    2 ай бұрын

    if you are using python it will give

  • @Krishna-ti8ys

    @Krishna-ti8ys

    2 ай бұрын

    @@akashkaruturi5128 I have written my code in c++.

  • @anonymous10906

    @anonymous10906

    2 ай бұрын

    same problem here with c++

  • @Krishna-ti8ys

    @Krishna-ti8ys

    2 ай бұрын

    @@akashkaruturi5128 I have written my code in c++

  • @shivrajhulwan2235

    @shivrajhulwan2235

    2 ай бұрын

    Yes I also faced same issue in the contest

  • @QWERTY-ee2ys
    @QWERTY-ee2ys2 ай бұрын

    Bhai normally explain nahi kar sakta kya? It annoying at times the over exaggeration. Aur tune hi ye problem ka video dala hai so got no option. Anyways good content

  • @rkb_404
    @rkb_4042 ай бұрын

    why not dp[z - limit][o][1] instead of dp[z - limit - 1][o][1]? Still not able to grasp it

  • @akashmaurya6313

    @akashmaurya6313

    2 ай бұрын

    simply bcz we are counting from limit to z-1. for ex - let's say limit is 1 so if we do dp[z - limit][o][1] this means dp[z -1][o][1] but since our limit is 1 that means we have consider 1 previous element then we should do dp[z -2][o][1] instead of dp[z -1][o][1] this is why dp[z - limit - 1][o][1]

  • @govindlohar6816
    @govindlohar68162 ай бұрын

    this code is not getting pass with java

  • @SiddharthSingh-ty3xz

    @SiddharthSingh-ty3xz

    2 ай бұрын

    Giving TLE for last 2 test case